## thunderbird 38.5.1+build2

=== debian/changelog ===
thunderbird (1:38.5.1+build2-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_5_1_BUILD2)
    - see USN-2859-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 09:17:20 +0000

thunderbird (1:38.4.0+build3-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_4_0_BUILD3)
    - see USN-2819-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Nov 2015 19:25:58 +0000

thunderbird (1:38.3.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_3_0_BUILD1)
    - see USN-2754-1

  * Disable the crash reporter as symbol uploads are currently broken. This
    means that Apport will be catching crashes for now

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Sep 2015 11:46:12 +0100

thunderbird (1:38.2.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_2_0_BUILD1)
    - see USN-2712-1

  * Switch to comm-esr38
    - update debian/config/branch.mk
  * Don't hardcode -mfloat-abi=softfp in libvpx
    - add debian/patches/dont-hardcode-softfp-on-armhf.patch
    - update debian/patches/series
  * Drop debian/patches/no_neon_on_arm.patch. This shouldn't beneeded
    anymore, because:
    - since it was added, most code that uses NEON intrinsics and assembly
      code using NEON instructions is disabled if the target is < armv7
    - Code that uses NEON intrinsics, when compiled, is hidden behind a
      runtime check (so doesn't run on systems that don't support those
      instructions).
    - Code in media/libvpx unconditionally compiles code that uses NEON
      intrinsics anyway, even if the target is < armv7 (but the code is
      compiled with -march=armv7-a and is hidden behind a runtime check for
      NEON support)
  * Refresh patches
    - update debian/patches/dont-include-hyphenation-patterns.patch
    - update debian/patches/unity-menubar.patch
  * Don't try to download python-blessings from the network - use the in-tree
    copy
    - add debian/patches/dont-install-blessings-from-network.patch
    - update debian/patches/series
  * Add Welsh, Lower Sorbian and Upper Sorbian language packs
  * Disable all of the testsuite related patches and don't install anything
    in to the testsuite package for now. The patches have all bit-rotted,
    we're not running any tests and nobody is driving that anymore
  * Don't clone the nightly profile from the default profile at startup
    - update debian/thunderbird.sh.in
  * Don't use --with-app-basename to create the co-installable nightly build
    as it's not useful anymore, and changing the application name to
    "Thunderbird-Trunk" has always been problematic for code / addons that check
    the appname. Continue to use --with-app-name as before (which just changes
    the install name and the remoting name), and add a patch to introduce
    --with-app-profile, which allows us to change the profile location
    - update debian/build/rules.mk
    - update debian/build/config.mk
    - update debian/config/mozconfig.in
    - update debian/rules
    - add debian/patches/support-coinstallable-trunk-build.patch
    - add debian/patches/set-prgname-to-remoting-name.patch
    - update debian/patches/series
  * Drop debian/patches/revert-removal-of-native-notifications.patch - fixed
    upstream
  * Reenable system alerts, which were disabled upstream
    - update debian/vendor.js

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 17 Aug 2015 22:54:00 +0100

thunderbird (1:31.8.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_31_8_0_BUILD1)
    - see USN-2673-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Jul 2015 16:24:24 +0100

thunderbird (1:31.7.0+build1-0ubuntu0.15.04.1) vivid-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_31_7_0_BUILD1)
    - see USN-2603-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 11 May 2015 10:58:52 +0100

=== debian/control ===
# vim:noexpandtab:
Source: thunderbird
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.vivid
Build-Depends: cdbs (>= 0.4.27),
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev,
	libxrender-dev,
	libpulse-dev,
	yasm (>= 1.1),
	imagemagick,
	docbook-to-man,
	libkrb5-dev,
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7),
	libffi-dev (>= 3.0.9) [arm64]
#Build-Conflicts: python-progressbar
Standards-Version: 3.9.1
#XS-Testsuite: autopkgtest

Package: thunderbird
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: myspell-en-us | hunspell-dictionary | myspell-dictionary,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Suggests: ${support:Suggests},
	ttf-lyx
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
Provides: mail-reader,
	${app:Provides}
Section: mail
Description: Email, RSS and newsgroup client with integrated spam filter
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.

Package: thunderbird-gnome-support
Architecture: any
Section: gnome
Depends: ${shlibs:Depends},
	thunderbird (= ${binary:Version}),
	${misc:Depends},
	${unity:Depends},
	libnotify4 | libnotify1
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - GNOME support
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package depends on the GNOME libraries which allow Thunderbird to take
 advantage of technologies such as GConf, GIO and libnotify

Package: thunderbird-dev
Architecture: any
Section: devel
Depends: thunderbird (= ${binary:Version}),
	${misc:Depends},
	${shlibs:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - development files
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the headers and SDK for building plugins and extensions
 with Thunderbird

Package: thunderbird-dbg
Architecture: any
Section: debug
Priority: extra
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - debug symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the debugging symbols for Thunderbird

Package: thunderbird-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends}
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Email, RSS and newsgroup client - Breakpad symbols
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: thunderbird-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	thunderbird (= ${binary:Version}),
	thunderbird-gnome-support (= ${binary:Version}),
	thunderbird-locale-bn-bd (= ${binary:Version}), thunderbird-locale-en-gb (= ${binary:Version}), thunderbird-locale-en-us (= ${binary:Version}), thunderbird-locale-es-ar (= ${binary:Version}), thunderbird-locale-es-es (= ${binary:Version}), thunderbird-locale-fy-nl (= ${binary:Version}), thunderbird-locale-ga-ie (= ${binary:Version}), thunderbird-locale-nb-no (= ${binary:Version}), thunderbird-locale-nn-no (= ${binary:Version}), thunderbird-locale-pa-in (= ${binary:Version}), thunderbird-locale-pt-br (= ${binary:Version}), thunderbird-locale-pt-pt (= ${binary:Version}), thunderbird-locale-sv-se (= ${binary:Version}), thunderbird-locale-ta-lk (= ${binary:Version}), thunderbird-locale-zh-cn (= ${binary:Version}), thunderbird-locale-zh-tw (= ${binary:Version}), thunderbird-locale-af (= ${binary:Version}), thunderbird-locale-ar (= ${binary:Version}), thunderbird-locale-ast (= ${binary:Version}), thunderbird-locale-be (= ${binary:Version}), thunderbird-locale-bg (= ${binary:Version}), thunderbird-locale-bn (= ${binary:Version}), thunderbird-locale-br (= ${binary:Version}), thunderbird-locale-ca (= ${binary:Version}), thunderbird-locale-cs (= ${binary:Version}), thunderbird-locale-cy (= ${binary:Version}), thunderbird-locale-da (= ${binary:Version}), thunderbird-locale-de (= ${binary:Version}), thunderbird-locale-dsb (= ${binary:Version}), thunderbird-locale-el (= ${binary:Version}), thunderbird-locale-en (= ${binary:Version}), thunderbird-locale-es (= ${binary:Version}), thunderbird-locale-et (= ${binary:Version}), thunderbird-locale-eu (= ${binary:Version}), thunderbird-locale-fi (= ${binary:Version}), thunderbird-locale-fr (= ${binary:Version}), thunderbird-locale-fy (= ${binary:Version}), thunderbird-locale-ga (= ${binary:Version}), thunderbird-locale-gd (= ${binary:Version}), thunderbird-locale-gl (= ${binary:Version}), thunderbird-locale-he (= ${binary:Version}), thunderbird-locale-hr (= ${binary:Version}), thunderbird-locale-hsb (= ${binary:Version}), thunderbird-locale-hu (= ${binary:Version}), thunderbird-locale-hy (= ${binary:Version}), thunderbird-locale-id (= ${binary:Version}), thunderbird-locale-is (= ${binary:Version}), thunderbird-locale-it (= ${binary:Version}), thunderbird-locale-ja (= ${binary:Version}), thunderbird-locale-ka (= ${binary:Version}), thunderbird-locale-ko (= ${binary:Version}), thunderbird-locale-lt (= ${binary:Version}), thunderbird-locale-mk (= ${binary:Version}), thunderbird-locale-nb (= ${binary:Version}), thunderbird-locale-nl (= ${binary:Version}), thunderbird-locale-nn (= ${binary:Version}), thunderbird-locale-pa (= ${binary:Version}), thunderbird-locale-pl (= ${binary:Version}), thunderbird-locale-pt (= ${binary:Version}), thunderbird-locale-rm (= ${binary:Version}), thunderbird-locale-ro (= ${binary:Version}), thunderbird-locale-ru (= ${binary:Version}), thunderbird-locale-si (= ${binary:Version}), thunderbird-locale-sk (= ${binary:Version}), thunderbird-locale-sl (= ${binary:Version}), thunderbird-locale-sq (= ${binary:Version}), thunderbird-locale-sr (= ${binary:Version}), thunderbird-locale-sv (= ${binary:Version}), thunderbird-locale-ta (= ${binary:Version}), thunderbird-locale-tr (= ${binary:Version}), thunderbird-locale-uk (= ${binary:Version}), thunderbird-locale-vi (= ${binary:Version}), thunderbird-locale-zh-hans (= ${binary:Version}), thunderbird-locale-zh-hant (= ${binary:Version}),,
	python,
	dbus-x11,
	xvfb,
	make,
	metacity,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Email, RSS and newsgroup client - testsuite
 Thunderbird is a full-featured email, RSS and newsgroup client that makes
 emailing safer, faster and easier than ever before. It supports different mail
 accounts (POP, IMAP, Gmail), has a simple mail account setup wizard, one-
 click address book, tabbed interface, an integrated learning spam filter,
 advanced search and indexing capabilities, and offers easy organization
 of mails with tagging and virtual folders. It also features unrivalled
 extensibility.
 .
 This package contains the Thunderbird testsuite

Package: xul-ext-lightning
Architecture: any
Depends: thunderbird (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Recommends: xul-ext-gdata-provider,
	xul-ext-calendar-timezones
Enhances: thunderbird
Description: Calendar Extension for Thunderbird
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.

Package: xul-ext-gdata-provider
Architecture: any
Depends: xul-ext-lightning (= ${binary:Version}),
	${shlibs:Depends},
	${misc:Depends}
Enhances: thunderbird, xul-ext-lightning
Description: Calendar Extension for Thunderbird - Google Calendar support
 Lighting is the Mozilla Calendar extension for Thunderbird, based
 on Sunbird - the Mozilla Standalone Calendar application. It is tightly 
 integrated with Thunderbird, allowing it to easily perform email-related 
 calendaring tasks.
 .
 This package provides Google Calendar support. It's a recommended component 
 if you want to connect to your google calendar.

# Transitional packages below here

# Can be dropped after 14.04
Package: thunderbird-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: thunderbird,
	${misc:Depends}
Description: Email, RSS and newsgroup client (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Can be dropped after 14.04
Package: xul-ext-calendar-timezones
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}
Description: Calendar Extension for Thunderbird (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-gnome-support-dbg
Architecture: any
Depends: thunderbird-gnome-support, thunderbird-dbg, ${misc:Depends}
Description: Email, RSS and newsgroup client - transitional package
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

Package: thunderbird-locale-bn-bd
Architecture: all
Depends: thunderbird-locale-bn, ${misc:Depends}

## thunderbird 38.6.0+build1

=== mozilla/media/libyuv/util/Makefile ===
psnr: psnr.cc ssim.cc psnr_main.cc
ifeq ($(CXX),icl)
	$(CXX) /arch:SSE2 /Ox /openmp psnr.cc ssim.cc psnr_main.cc
else
	$(CXX) -msse2 -O3 -fopenmp -static -o psnr psnr.cc ssim.cc psnr_main.cc -Wl,--strip-all
endif

=== mozilla/browser/components/loop/standalone/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

# Note that this Makefile is not invoked by the Mozilla build
# system, which is why it can have dependencies on things the
# build system at-large doesn't yet support.

# XXX In the interest of making the build logic simpler and
# more maintainable, we should be trying to implement new
# functionality in Gruntfile.js rather than here.
# Bug 1066176 tracks moving all functionality currently here
# to the Gruntfile and getting rid of this Makefile entirely.

LOOP_SERVER_URL := $(shell echo $${LOOP_SERVER_URL-http://localhost:5000/v0})
LOOP_FEEDBACK_API_URL := $(shell echo $${LOOP_FEEDBACK_API_URL-"https://input.allizom.org/api/v1/feedback"})
LOOP_FEEDBACK_PRODUCT_NAME := $(shell echo $${LOOP_FEEDBACK_PRODUCT_NAME-Loop})
LOOP_BRAND_WEBSITE_URL := $(shell echo $${LOOP_BRAND_WEBSITE_URL-"https://www.mozilla.org/firefox/"})
LOOP_PRIVACY_WEBSITE_URL := $(shell echo $${LOOP_PRIVACY_WEBSITE_URL-"https://www.mozilla.org/privacy/firefox-hello/"})
LOOP_LEGAL_WEBSITE_URL := $(shell echo $${LOOP_LEGAL_WEBSITE_URL-"https://www.mozilla.org/about/legal/terms/firefox-hello/"})
LOOP_PRODUCT_HOMEPAGE_URL := $(shell echo $${LOOP_PRODUCT_HOMEPAGE_URL-"https://www.firefox.com/hello/"})

NODE_LOCAL_BIN=./node_modules/.bin

install: npm_install tos

npm_install:
	@npm install

test:
	@echo "Not implemented yet."

tos:
	@$(NODE_LOCAL_BIN)/grunt replace marked
	@$(NODE_LOCAL_BIN)/grunt sass

lint:
	@$(NODE_LOCAL_BIN)/jshint *.js content test

runserver: remove_old_config
	node server.js

frontend:
	@echo "Not implemented yet."

# Try hg first, if not fall back to git.
SOURCE_STAMP := $(shell hg parent --template '{node|short}\n' 2> /dev/null)
ifndef SOURCE_STAMP
SOURCE_STAMP := $(shell git describe --always --tag)
endif

SOURCE_DATE := $(shell hg parent --template '{date|date}\n' 2> /dev/null)
ifndef SOURCE_DATE
SOURCE_DATE := $(shell git log -1 --format="%H%n%aD")
endif

version:
	@echo $(SOURCE_STAMP) > content/VERSION.txt
	@echo $(SOURCE_DATE) >> content/VERSION.txt


# The local node server used for client dev (server.js) used to use a static
# content/config.js.  Now that information is server up dynamically.  This
# target is depended on by runserver, and removes any copies of that to avoid
# confusion.
remove_old_config:
	@rm -f content/config.js


# The services development deployment, however, still wants a static config
# file, and needs an easy way to generate one.  This target is for folks
# working with that deployment.
.PHONY: config
config:
	@echo "var loop = loop || {};" > content/config.js
	@echo "loop.config = loop.config || {};" >> content/config.js
	@echo "loop.config.serverUrl = '`echo $(LOOP_SERVER_URL)`';" >> content/config.js
	@echo "loop.config.feedbackApiUrl = '`echo $(LOOP_FEEDBACK_API_URL)`';" >> content/config.js
	@echo "loop.config.feedbackProductName = '`echo $(LOOP_FEEDBACK_PRODUCT_NAME)`';" >> content/config.js
	@echo "loop.config.brandWebsiteUrl = '`echo $(LOOP_BRAND_WEBSITE_URL)`';" >> content/config.js
	@echo "loop.config.privacyWebsiteUrl = '`echo $(LOOP_PRIVACY_WEBSITE_URL)`';" >> content/config.js
	@echo "loop.config.legalWebsiteUrl = '`echo $(LOOP_LEGAL_WEBSITE_URL)`';" >> content/config.js
	@echo "loop.config.learnMoreUrl = '`echo $(LOOP_PRODUCT_HOMEPAGE_URL)`';" >> content/config.js
	@echo "loop.config.fxosApp = loop.config.fxosApp || {};" >> content/config.js
	@echo "loop.config.fxosApp.name = 'Loop';" >> content/config.js
	@echo "loop.config.fxosApp.rooms = true;" >> content/config.js
	@echo "loop.config.fxosApp.manifestUrl = 'http://fake-market.herokuapp.com/apps/packagedApp/manifest.webapp';" >> content/config.js
	@echo "loop.config.roomsSupportUrl = 'https://support.mozilla.org/kb/group-conversations-firefox-hello-webrtc';" >> content/config.js
	@echo "loop.config.guestSupportUrl = 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode';" >> content/config.js
	@echo "loop.config.generalSupportUrl = 'https://support.mozilla.org/kb/respond-firefox-hello-invitation-guest-mode';" >> content/config.js
	@echo "loop.config.unsupportedPlatformUrl = 'https://support.mozilla.org/en-US/kb/which-browsers-will-work-firefox-hello-video-chat';" >> content/config.js

=== mozilla/security/nss/coreconf/mkdepend/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ../..
CORE_DEPTH	= ../..

MODULE		= coreconf

CSRCS		= \
                cppsetup.c \
                ifparser.c \
                include.c \
                main.c \
                parse.c \
                pr.c

PROGRAM		= mkdepend

# Indicate that this directory builds build tools.
INTERNAL_TOOLS  = 1


include $(DEPTH)/coreconf/config.mk

TARGETS		= $(PROGRAM)
ifeq (,$(filter-out OS2 WIN%,$(OS_TARGET)))
DEFINES		+= -DNO_X11
else
INSTALL		= true
endif

ifdef NATIVE_CC
CC=$(NATIVE_CC)
endif

ifdef NATIVE_FLAGS
OS_CFLAGS=$(NATIVE_FLAGS)
endif

include $(DEPTH)/coreconf/rules.mk

ifdef GNU_CC
OPTIMIZER = -O3
else
ifeq ($(OS_ARCH),SunOS)
OPTIMIZER = -fast
endif
ifeq ($(OS_ARCH),WINNT)
OPTIMIZER = -Ox
endif
endif

DEFINES += -DINCLUDEDIR=\"/usr/include\" -DOBJSUFFIX=\".$(OBJ_SUFFIX)\"

# Redefine MAKE_OBJDIR for just this directory
define MAKE_OBJDIR
if test ! -d $(@D); then rm -rf $(@D); mkdir $(@D); fi
endef

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.vivid
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.wily
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= thunderbird

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= mail
MOZ_VENDOR		:=
MOZ_MOZDIR		:= mozilla

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= nightly
endif
endif
ifeq (official,$(MOZ_BRANDING))
MOZ_BRANDING_DIR	:= other-licenses/branding/thunderbird
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_DIR	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_SEARCHPLUGIN_DIR	= $(MOZ_LIBDIR)/distribution/searchplugins

ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libindicate5, libdbusmenu-gtk4, libunity9, libebook-1.2-12, libedataserver-1.2-15
else
ifneq (,$(filter quantal raring saucy, $(DISTRIB_CODENAME)))
UNITY_DEPENDS	:= libmessaging-menu0, libunity9, libebook-1.2-14, libedataserver-1.2-17
else
UNITY_DEPENDS	:= libmessaging-menu0, libunity9
endif
endif

# Make sure thunderbird-couchdb is removed on upgrade to 12.10
# See https://launchpad.net/bugs/1040839
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
TB_COUCHDB_BREAKS	:= thunderbird-couchdb
endif

MOZ_LIGHTNING_PKG_NAME		= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-lightning)
MOZ_CALENDAR_TZ_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-calendar-timezones)
MOZ_GDATA_PROVIDER_PKG_NAME	= $(addsuffix $(subst $(MOZ_PKG_BASENAME),,$(MOZ_PKG_NAME)),xul-ext-gdata-provider)

MOZ_PKG_SUPPORT_SUGGESTS = $(MOZ_PKG_NAME)-gnome-support

MOZ_PKGNAME_SUBST_FILES = \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

#MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/control::
	sed -i -e 's/@MOZ_LIGHTNING_PKG_NAME@/$(MOZ_LIGHTNING_PKG_NAME)/g' \
	       -e 's/@MOZ_CALENDAR_TZ_PKG_NAME@/$(MOZ_CALENDAR_TZ_PKG_NAME)/g' \
	       -e 's/@MOZ_GDATA_PROVIDER_PKG_NAME@/$(MOZ_GDATA_PROVIDER_PKG_NAME)/g' debian/control

make-messagingmenu-addon: debian/messagingmenu/messagingmenu@mozilla.com.xpi
debian/messagingmenu/messagingmenu@mozilla.com.xpi:
	cd $(CURDIR)/debian/messagingmenu; \
		sh build.sh || exit 1; \
		mv $(CURDIR)/debian/messagingmenu/messagingmenu.xpi $(CURDIR)/debian/messagingmenu/messagingmenu@mozilla.com.xpi

make-eds-addon: debian/eds/edsintegration@mozilla.com.xpi
debian/eds/edsintegration@mozilla.com.xpi:
	cd $(CURDIR)/debian/eds; \
		LIBXUL_SDK=$(CURDIR)/$(MOZ_DISTDIR) sh build.sh || exit 1; \
		mv $(CURDIR)/debian/eds/edsintegration.xpi $(CURDIR)/debian/eds/edsintegration@mozilla.com.xpi

common-build-arch:: make-messagingmenu-addon make-eds-addon

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (thunderbird,$(MOZ_PKG_NAME))
TB_REPLACES = mozilla-thunderbird, thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3)
TB_CONFLICTS = mozilla-thunderbird
TB_BREAKS = thunderbird-gnome-support (<= 3.0.4+nobinonly-0ubuntu3), $(TB_COUCHDB_BREAKS)
install/thunderbird::
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Replaces,$(TB_REPLACES))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Conflicts,$(TB_CONFLICTS))
	$(call WRITE_SUBSTVARS,thunderbird,transitional:Breaks,$(TB_BREAKS))
else
TB_BREAKS = $(TB_COUCHDB_BREAKS)
install/$(MOZ_PKG_NAME)::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME),transitional:Breaks,$(TB_BREAKS))
endif

ifneq (,$(UNITY_DEPENDS))
install/$(MOZ_PKG_NAME)-gnome-support::
	$(call WRITE_SUBSTVARS,$(MOZ_PKG_NAME)-gnome-support,unity:Depends,$(UNITY_DEPENDS))
endif

binary-install/$(MOZ_PKG_NAME)::
	convert -resize 32x32 debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).png debian/$(MOZ_PKG_NAME)/usr/share/pixmaps/$(MOZ_APP_NAME).xpm
	echo "/usr/share/applications/$(MOZ_APP_NAME).desktop" > debian/$(MOZ_PKG_NAME)/usr/share/indicators/messages/applications/$(MOZ_APP_NAME)

binary-install/$(MOZ_LIGHTNING_PKG_NAME)::
	dh_installdirs -p$(MOZ_LIGHTNING_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}
	unzip -o -d debian/$(MOZ_LIGHTNING_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{e2fda1a4-762b-4020-b5ad-a41df1933103}/ $(MOZ_DISTDIR)/xpi-stage/lightning-*.xpi

binary-install/$(MOZ_GDATA_PROVIDER_PKG_NAME)::
	dh_installdirs -p$(MOZ_GDATA_PROVIDER_PKG_NAME) $(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}
	unzip -o -d debian/$(MOZ_GDATA_PROVIDER_PKG_NAME)/$(MOZ_ADDONDIR)/extensions/{a62ef8ec-5fdc-40c2-873c-223b8a6925cc}/ $(MOZ_DISTDIR)/xpi-stage/gdata-provider-*.xpi

pre-build::
	$(shell /usr/bin/docbook-to-man $(CURDIR)/debian/thunderbird.sgml > $(CURDIR)/debian/$(MOZ_APP_NAME).1)

clean::
	rm -f debian/messagingmenu/*.xpi
	rm -f debian/eds/*.xpi
	rm -f debian/eds/components/*.xpt
	rm -f debian/$(MOZ_APP_NAME).1

.PHONY: make-eds-addon make-messagingmenu-addon

## thunderbird 45.2.0+build1

=== debian/changelog ===
thunderbird (1:45.2.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_2_0_BUILD1)
    - see USN-3023-1

  * Refresh patches:
    - update debian/patches/unity-menubar.patch
    - update debian/patches/support-coinstallable-trunk-builds.patch
    - update debian/patches/dont-include-hyphenation-patterns.patch
  * Remove patches fixed upstream
    - remove debian/patches/dont-hardcode-softfp-on-armhf.patch
    - remove debian/patches/libjpeg-turbo-arm64-fix.patch
    - update debian/patches/series
  * Update debian/thunderbird.install.in now that the theme is not unpacked
  * libmozgnome.so no longer exists - update debian/thunderbird.install.in
  * Add build-depends on libgtk-3-dev
  * Update unity-menubar.patch to work with GTK3
  * Build-depend on hardening-wrapper
  * Install compare-locales in to the virtualenv with --old-and-unmanageable -
    the fix for bmo: #1188224 is incompatible with zipped eggs
  * Drop the eds addon from the packaging for now - nobody is maintaining it
  * Ensure the autopkgtests don't run
    - remove debian/tests/control
    - update debian/build/rules.mk
  * Bundle our checkout of compare-locales in a different location, given
    that the Mozilla repo now contains a different version of it in the
    location we used previously
    - update debian/build/rules.mk
    - update debian/build/create-tarball.py

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 04 Jul 2016 16:08:44 +0100

thunderbird (1:38.8.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_8_0_BUILD1)
    - see USN-2973-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 11 May 2016 16:39:12 +0100

thunderbird (1:38.7.2+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_7_1_BUILD1)
    - see USN-2934-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 15 Mar 2016 16:26:38 +0000

thunderbird (1:38.6.0+build1-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_6_0_BUILD1)
    - see USN-2904-1

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 19 Feb 2016 17:23:59 +0000

thunderbird (1:38.5.1+build2-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_5_1_BUILD2)
    - see USN-2859-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 06 Jan 2016 09:11:03 +0000

thunderbird (1:38.4.0+build3-0ubuntu0.15.10.1) wily-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_38_4_0_BUILD3)
    - see USN-2819-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 25 Nov 2015 19:13:14 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	libxt-dev,
 	libxext-dev,
 	libgtk2.0-dev (>= 2.14),
+	libgtk-3-dev (>= 3.4),
 	libglib2.0-dev (>= 2.18),
 	libpango1.0-dev (>= 1.14.0),
 	libfontconfig1-dev,
@@ -24,6 +25,7 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
+	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
 	mesa-common-dev,
@@ -247,4 +249,3 @@
 
 Package: thunderbird-locale-bn-bd
 Architecture: all
-Depends: thunderbird-locale-bn, ${misc:Depends}

## thunderbird 45.3.0+build1

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
 	dbus-x11,
 	xvfb,
 	python (>= 2.7),
-	libffi-dev (>= 3.0.9) [arm64]
+	libffi-dev (>= 3.0.9) [arm64],
+	g++-5
 #Build-Conflicts: python-progressbar
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest

## thunderbird 45.8.0+build1

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.wily
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.zesty
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,
@@ -25,7 +25,6 @@
 	libasound2-dev,
 	libcurl4-openssl-dev,
 	libdbus-glib-1-dev (>= 0.60),
-	hardening-wrapper,
 	lsb-release,
 	libiw-dev,
 	mesa-common-dev,

## thunderbird 52.2.1+build1

=== debian/changelog ===
thunderbird (1:52.2.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_2_1_BUILD1)
    - see USN-3321-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 19 Jun 2017 16:20:22 +0100

thunderbird (1:52.1.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_52_1_1_BUILD1)
    - see USN-3278-1

  [ Chris Coulson ]
  * Update and reenable unity-menubar.patch
  * Refresh patches:
    - update debian/patches/support-coinstallable-trunk-build.patch
  * Ensure we generate all of the required checksum files for FIPS mode
    to work correctly
    - update debian/build/rukes.mk

  [ Rico Tzschichholz ]
  * Unconditionally build-dep on libffi-dev
  * Refresh patches
    - update debian/patches/support-coinstallable-trunk-build.patch
    - update debian/patches/unity-menubar.patch
  * Pass "-Wnull-dereference -fno-delete-null-pointer-checks" as workaround
    for compilation with GCC6
    See https://bugzilla.mozilla.org/show_bug.cgi?id=1251576
  * Add build-dep on libx11-xcb-dev
  * Install the gtk2 directory and ICU data file
    - update debian/thunderbird.install.in

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 05 May 2017 20:38:48 +0100

thunderbird (1:45.8.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_8_BUILD1)
    - see USN-3233-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 15 Mar 2017 12:24:45 +0000

thunderbird (1:45.7.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_7_0_BUILD1)
    - see USN-3165-1

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 09 Jan 2017 13:27:35 +0000

thunderbird (1:45.5.1+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_5_1_BUILD1)
    - see USN-3141-1

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 Nov 2016 09:52:03 +0000

thunderbird (1:45.4.0+build1-0ubuntu0.16.10.1) yakkety-security; urgency=medium

  * New upstream stable release (THUNDERBIRD_45_4_0_BUILD1)
    - see USN-3112-1

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 25 Oct 2016 15:35:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.zesty
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/thunderbird/thunderbird.yakkety
 Build-Depends: cdbs (>= 0.4.27),
 	debhelper (>= 7),
 	autotools-dev,
@@ -11,6 +11,7 @@
 	quilt,
 	zip,
 	libx11-dev,
+	libx11-xcb-dev,
 	libxt-dev,
 	libxext-dev,
 	libgtk2.0-dev (>= 2.14),
@@ -39,8 +40,7 @@
 	dbus-x11,
 	xvfb,
 	python (>= 2.7),
-	libffi-dev (>= 3.0.9) [arm64],
-	g++-5
+	libffi-dev (>= 3.0.9)
 #Build-Conflicts: python-progressbar
 Standards-Version: 3.9.1
 #XS-Testsuite: autopkgtest
@@ -163,7 +163,7 @@
 	${misc:Depends},
 	thunderbird (= ${binary:Version}),
 	thunderbird-gnome-support (= ${binary:Version}),
-	thunderbird-locale-bn-bd (= ${binary:Version}), thunderbird-locale-en-gb (= ${binary:Version}), thunderbird-locale-en-us (= ${binary:Version}), thunderbird-locale-es-ar (= ${binary:Version}), thunderbird-locale-es-es (= ${binary:Version}), thunderbird-locale-fy-nl (= ${binary:Version}), thunderbird-locale-ga-ie (= ${binary:Version}), thunderbird-locale-nb-no (= ${binary:Version}), thunderbird-locale-nn-no (= ${binary:Version}), thunderbird-locale-pa-in (= ${binary:Version}), thunderbird-locale-pt-br (= ${binary:Version}), thunderbird-locale-pt-pt (= ${binary:Version}), thunderbird-locale-sv-se (= ${binary:Version}), thunderbird-locale-ta-lk (= ${binary:Version}), thunderbird-locale-zh-cn (= ${binary:Version}), thunderbird-locale-zh-tw (= ${binary:Version}), thunderbird-locale-af (= ${binary:Version}), thunderbird-locale-ar (= ${binary:Version}), thunderbird-locale-ast (= ${binary:Version}), thunderbird-locale-be (= ${binary:Version}), thunderbird-locale-bg (= ${binary:Version}), thunderbird-locale-bn (= ${binary:Version}), thunderbird-locale-br (= ${binary:Version}), thunderbird-locale-ca (= ${binary:Version}), thunderbird-locale-cs (= ${binary:Version}), thunderbird-locale-cy (= ${binary:Version}), thunderbird-locale-da (= ${binary:Version}), thunderbird-locale-de (= ${binary:Version}), thunderbird-locale-dsb (= ${binary:Version}), thunderbird-locale-el (= ${binary:Version}), thunderbird-locale-en (= ${binary:Version}), thunderbird-locale-es (= ${binary:Version}), thunderbird-locale-et (= ${binary:Version}), thunderbird-locale-eu (= ${binary:Version}), thunderbird-locale-fi (= ${binary:Version}), thunderbird-locale-fr (= ${binary:Version}), thunderbird-locale-fy (= ${binary:Version}), thunderbird-locale-ga (= ${binary:Version}), thunderbird-locale-gd (= ${binary:Version}), thunderbird-locale-gl (= ${binary:Version}), thunderbird-locale-he (= ${binary:Version}), thunderbird-locale-hr (= ${binary:Version}), thunderbird-locale-hsb (= ${binary:Version}), thunderbird-locale-hu (= ${binary:Version}), thunderbird-locale-hy (= ${binary:Version}), thunderbird-locale-id (= ${binary:Version}), thunderbird-locale-is (= ${binary:Version}), thunderbird-locale-it (= ${binary:Version}), thunderbird-locale-ja (= ${binary:Version}), thunderbird-locale-ka (= ${binary:Version}), thunderbird-locale-ko (= ${binary:Version}), thunderbird-locale-lt (= ${binary:Version}), thunderbird-locale-mk (= ${binary:Version}), thunderbird-locale-nb (= ${binary:Version}), thunderbird-locale-nl (= ${binary:Version}), thunderbird-locale-nn (= ${binary:Version}), thunderbird-locale-pa (= ${binary:Version}), thunderbird-locale-pl (= ${binary:Version}), thunderbird-locale-pt (= ${binary:Version}), thunderbird-locale-rm (= ${binary:Version}), thunderbird-locale-ro (= ${binary:Version}), thunderbird-locale-ru (= ${binary:Version}), thunderbird-locale-si (= ${binary:Version}), thunderbird-locale-sk (= ${binary:Version}), thunderbird-locale-sl (= ${binary:Version}), thunderbird-locale-sq (= ${binary:Version}), thunderbird-locale-sr (= ${binary:Version}), thunderbird-locale-sv (= ${binary:Version}), thunderbird-locale-ta (= ${binary:Version}), thunderbird-locale-tr (= ${binary:Version}), thunderbird-locale-uk (= ${binary:Version}), thunderbird-locale-vi (= ${binary:Version}), thunderbird-locale-zh-hans (= ${binary:Version}), thunderbird-locale-zh-hant (= ${binary:Version}),,
+	thunderbird-locale-bn-bd (= ${binary:Version}), thunderbird-locale-en-gb (= ${binary:Version}), thunderbird-locale-en-us (= ${binary:Version}), thunderbird-locale-es-ar (= ${binary:Version}), thunderbird-locale-es-es (= ${binary:Version}), thunderbird-locale-fy-nl (= ${binary:Version}), thunderbird-locale-ga-ie (= ${binary:Version}), thunderbird-locale-nb-no (= ${binary:Version}), thunderbird-locale-nn-no (= ${binary:Version}), thunderbird-locale-pa-in (= ${binary:Version}), thunderbird-locale-pt-br (= ${binary:Version}), thunderbird-locale-pt-pt (= ${binary:Version}), thunderbird-locale-sv-se (= ${binary:Version}), thunderbird-locale-ta-lk (= ${binary:Version}), thunderbird-locale-zh-cn (= ${binary:Version}), thunderbird-locale-zh-tw (= ${binary:Version}), thunderbird-locale-af (= ${binary:Version}), thunderbird-locale-ar (= ${binary:Version}), thunderbird-locale-ast (= ${binary:Version}), thunderbird-locale-be (= ${binary:Version}), thunderbird-locale-bg (= ${binary:Version}), thunderbird-locale-bn (= ${binary:Version}), thunderbird-locale-br (= ${binary:Version}), thunderbird-locale-ca (= ${binary:Version}), thunderbird-locale-cs (= ${binary:Version}), thunderbird-locale-cy (= ${binary:Version}), thunderbird-locale-da (= ${binary:Version}), thunderbird-locale-de (= ${binary:Version}), thunderbird-locale-dsb (= ${binary:Version}), thunderbird-locale-el (= ${binary:Version}), thunderbird-locale-en (= ${binary:Version}), thunderbird-locale-es (= ${binary:Version}), thunderbird-locale-et (= ${binary:Version}), thunderbird-locale-eu (= ${binary:Version}), thunderbird-locale-fi (= ${binary:Version}), thunderbird-locale-fr (= ${binary:Version}), thunderbird-locale-fy (= ${binary:Version}), thunderbird-locale-ga (= ${binary:Version}), thunderbird-locale-gd (= ${binary:Version}), thunderbird-locale-gl (= ${binary:Version}), thunderbird-locale-he (= ${binary:Version}), thunderbird-locale-hr (= ${binary:Version}), thunderbird-locale-hsb (= ${binary:Version}), thunderbird-locale-hu (= ${binary:Version}), thunderbird-locale-hy (= ${binary:Version}), thunderbird-locale-id (= ${binary:Version}), thunderbird-locale-is (= ${binary:Version}), thunderbird-locale-it (= ${binary:Version}), thunderbird-locale-ja (= ${binary:Version}), thunderbird-locale-ka (= ${binary:Version}), thunderbird-locale-kab (= ${binary:Version}), thunderbird-locale-ko (= ${binary:Version}), thunderbird-locale-lt (= ${binary:Version}), thunderbird-locale-mk (= ${binary:Version}), thunderbird-locale-nb (= ${binary:Version}), thunderbird-locale-nl (= ${binary:Version}), thunderbird-locale-nn (= ${binary:Version}), thunderbird-locale-pa (= ${binary:Version}), thunderbird-locale-pl (= ${binary:Version}), thunderbird-locale-pt (= ${binary:Version}), thunderbird-locale-rm (= ${binary:Version}), thunderbird-locale-ro (= ${binary:Version}), thunderbird-locale-ru (= ${binary:Version}), thunderbird-locale-si (= ${binary:Version}), thunderbird-locale-sk (= ${binary:Version}), thunderbird-locale-sl (= ${binary:Version}), thunderbird-locale-sq (= ${binary:Version}), thunderbird-locale-sr (= ${binary:Version}), thunderbird-locale-sv (= ${binary:Version}), thunderbird-locale-ta (= ${binary:Version}), thunderbird-locale-tr (= ${binary:Version}), thunderbird-locale-uk (= ${binary:Version}), thunderbird-locale-vi (= ${binary:Version}), thunderbird-locale-zh-hans (= ${binary:Version}), thunderbird-locale-zh-hant (= ${binary:Version}),,
 	python,
 	dbus-x11,
 	xvfb,
@@ -247,5 +247,3 @@
  This is a transitional package to ensure that upgrades work correctly.
  It can be safely removed
 
-Package: thunderbird-locale-bn-bd
-Architecture: all
